MWAWTextListenerInternal::State Struct Reference

the state of a MWAWTextListener More...

## Public Member Functions

| State ()
| constructor
| ~State ()
| destructor

## Public Attributes

librevenge::RVNGString | m_textBuffer
| a buffer to stored the text
int | m_numDeferredTabs
| the number of tabs to add
MWAWFont | m_font
| the font
MWAWParagraph | m_paragraph
| the paragraph
int | m_paragraphNeedBreak
| a sequence of bit used to know if we need page/column break
std::shared_ptr< MWAWList > | m_list
bool | m_isPageSpanOpened
bool | m_isSectionOpened
bool | m_isFrameOpened
bool | m_isPageSpanBreakDeferred
bool | m_isHeaderFooterWithoutParagraph
bool | m_isGroupOpened
| a flag to know if openGroup was called
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
bool | m_isTableOpened
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_sectionAttributesChanged
MWAWSection | m_section
| the section
std::vector< bool > | m_listOrderedLevels
bool | m_inSubDocument
| a stack used to know what is open
bool | m_isNote
bool | m_inLink
libmwaw::SubDocumentType | m_subDocumentType

## Private Member Functions

| State (const State &)=delete
State & | operator= (const State &)=delete

## Detailed Description

the state of a MWAWTextListener

## Constructor & Destructor Documentation

## State() [1/2]

MWAWTextListenerInternal::State::State | ( |  | ) |

constructor

Referenced by operator=(), and State().

## ~State()

MWAWTextListenerInternal::State::~State | ( |  | ) |

inline

destructor

## State() [2/2]

MWAWTextListenerInternal::State::State | ( | const State & |  | ) |

private delete

## Member Function Documentation

## operator=()

State & MWAWTextListenerInternal::State::operator= | ( | const State & |  | ) |

private delete

## Member Data Documentation

## m_currentPage

unsigned MWAWTextListenerInternal::State::m_currentPage

Referenced by State().

## m_currentPageNumber

int MWAWTextListenerInternal::State::m_currentPageNumber

Referenced by State().

## m_firstParagraphInPageSpan

bool MWAWTextListenerInternal::State::m_firstParagraphInPageSpan

Referenced by State().

## m_font

MWAWFont MWAWTextListenerInternal::State::m_font

the font

Referenced by State().

## m_inLink

bool MWAWTextListenerInternal::State::m_inLink

Referenced by State().

## m_inSubDocument

bool MWAWTextListenerInternal::State::m_inSubDocument

a stack used to know what is open

Referenced by State().

## m_isFrameOpened

bool MWAWTextListenerInternal::State::m_isFrameOpened

Referenced by State().

## m_isGroupOpened

bool MWAWTextListenerInternal::State::m_isGroupOpened

a flag to know if openGroup was called

Referenced by State().

## m_isHeaderFooterWithoutParagraph

bool MWAWTextListenerInternal::State::m_isHeaderFooterWithoutParagraph

Referenced by State().

## m_isListElementOpened

bool MWAWTextListenerInternal::State::m_isListElementOpened

Referenced by State().

## m_isNote

bool MWAWTextListenerInternal::State::m_isNote

Referenced by State().

## m_isPageSpanBreakDeferred

bool MWAWTextListenerInternal::State::m_isPageSpanBreakDeferred

Referenced by State().

## m_isPageSpanOpened

bool MWAWTextListenerInternal::State::m_isPageSpanOpened

Referenced by State().

## m_isParagraphOpened

bool MWAWTextListenerInternal::State::m_isParagraphOpened

Referenced by State().

## m_isSectionOpened

bool MWAWTextListenerInternal::State::m_isSectionOpened

Referenced by State().

## m_isSpanOpened

bool MWAWTextListenerInternal::State::m_isSpanOpened

Referenced by State().

## m_isTableCellOpened

bool MWAWTextListenerInternal::State::m_isTableCellOpened

Referenced by State().

## m_isTableColumnOpened

bool MWAWTextListenerInternal::State::m_isTableColumnOpened

Referenced by State().

## m_isTableOpened

bool MWAWTextListenerInternal::State::m_isTableOpened

Referenced by State().

## m_isTableRowOpened

bool MWAWTextListenerInternal::State::m_isTableRowOpened

Referenced by State().

## m_list

std::shared_ptr<MWAWList> MWAWTextListenerInternal::State::m_list

Referenced by State().

## m_listOrderedLevels

std::vector<bool> MWAWTextListenerInternal::State::m_listOrderedLevels

Referenced by State().

## m_numDeferredTabs

int MWAWTextListenerInternal::State::m_numDeferredTabs

the number of tabs to add

Referenced by State().

## m_numPagesRemainingInSpan

int MWAWTextListenerInternal::State::m_numPagesRemainingInSpan

Referenced by State().

## m_paragraph

MWAWParagraph MWAWTextListenerInternal::State::m_paragraph

the paragraph

Referenced by State().

## m_paragraphNeedBreak

int MWAWTextListenerInternal::State::m_paragraphNeedBreak

a sequence of bit used to know if we need page/column break

Referenced by State().

## m_section

MWAWSection MWAWTextListenerInternal::State::m_section

the section

Referenced by State().

## m_sectionAttributesChanged

bool MWAWTextListenerInternal::State::m_sectionAttributesChanged

Referenced by State().

## m_subDocumentType

libmwaw::SubDocumentType MWAWTextListenerInternal::State::m_subDocumentType

Referenced by State().

## m_textBuffer

librevenge::RVNGString MWAWTextListenerInternal::State::m_textBuffer

a buffer to stored the text

Referenced by State().

The documentation for this struct was generated from the following file:

- MWAWTextListener.cxx